Javascript code prettifier

пятница, 22 января 2016 г.

Установка VMware ESXi 5.5 на сервер с Adaptec 8405


Задача: есть сервер с рейд-контроллером Adaptec 8405, на него нужно установить VMware vSphere Hypervisor 5.5. Обоими производителями (VMware и Adaptec) заявлена совместимость, однако в сборку ESXi включена старая версия драйвера aacraid, поэтому рейд-контроллеры последних серий "из коробки" работать не будут.
Есть несколько путей решения этой проблемы:
  • Если сам гипервизор не требуется устанавливать на рейд, то драйвер можно добавить после установки с помощью esxcli
  • Можно установить esxi на флешку, добавить нужный драйвер и затем склонировать на рейд
  • Добавить драйвер непосредственно в установочный образ
Третий способ мне подходил больше всего, поэтому далее описываю его.
  1. Скачиваем с сайта образ vmware esxi
  2. Скачиваем с сайта adaptec последнюю версию драйвера:  http://www.adaptec.com/en-us/speed/raid/aac/linux/aacraid_vmware_drivers_1_2_1-41024_cert_tgz.php. Распаковываем архив и находим нужный драйвер.
  3. Скачиваем программу для интеграции драйверов: http://www.v-front.de/p/esxi-customizer.html#download  
  4. Запускаем esxi-customizer. В окне программы нужно указать путь к скаченному образу esxi и vib-пакету с драйвером, а так же папку, в которую будет помещен созданный образ.

  5. Подтверждаем замену драйвера на более новую версию.

  6. Все готово. Теперь инсталлятор должен увидеть массивы, находящиеся за рейд-контроллером. 

P.S. Данным способом можно интегрировать в дистрибутив любые пакеты и добавить поддержку различного оборудования.
P.P.S. На сайте esxi-customizer написано о прекращении поддержки этой утилиты, и в качестве альтернативы, предлагают использовать следующий скрипт для PowerShell.








Комментариев нет:

Отправить комментарий